@import url("https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700&family=Poppins:ital,wght@0,500;0,600;0,700;1,400&display=swap");
@import url("https://cdn.jsdelivr.net/npm/@glidejs/glide/dist/css/glide.core.min.css");
@import url("https://cdn.jsdelivr.net/npm/@glidejs/glide/dist/css/glide.theme.min.css");

/*Media Queries */
@media screen and (min-width: 601px) and (max-width: 600px) {
    /* Estilos para pantallas pequeñas */
    body {
        font-size: 16px;
        padding: 10px;
    }
}

@media screen and (min-width: 601px) and (max-width: 1024px) {
        /* Estilos para tablets y dispositivos medianos */
        header {
            padding: 15px;
        }
}
    @media screen and (min-width: 1025px) {
        /* Estilos para pantallas grandes (escritorio) */
        header{
            font-size: 3.2em;
        }
}

body {
    margin: 0;
    padding: 0;
    font-family: Helvetica, Arial, sans-serif;
    font-size: 1em;
    line-height: 1.5em;
/*Palette */
--primary-solid: #ffffff;
--primary-900: gray;
--primary-500: rgba(255, 51, 51, 0.5);
--primary-300: rgba(255, 51, 51, 0.3);

--secondary-solid: rgb(57, 77, 57);
--secondary-900: rgb(29, 132, 181, 0.9);
--secondary-500: rgb(29, 132, 181, 0.5);
--secondary-300: rgb(29, 132, 181, 0.3);

--dark-solid: #1F1F1F;
--dark-900: rgb(31, 31, 31, 0.9);
--dark-500: rgb(31, 31, 31, 0.5);
--dark-300: rgb(31, 31, 31, 0.3);

--dark-bg-solid: #30343F;
--light-bg-solid: #FAFAFF;
--light-font-solid: #FFFFFF;



   
    
    


/*Tipografia */
--base-font: 'Inter', sans-serif;
--alternative-font: 'Raleway', sans-serif;

/* Font-sizes*/
--font-display: 4.6em;
--font-jumbo: 3.8em;
--font-xlarge: 3em;
--font-large: 2.4em;
--font-medium: 1.8em;
--font-small: 1.6em;
--font-xsmall: 1.4em;

/*Spacings*/
--spacing-128: 12.8rem;
--spacing-68: 6.8rem;
--spacing-36: 3.6rem;
--spacing-28: 2.8rem;
--spacing-24: 2.4rem;
--spacing-20: 2rem;
--spacing-16: 1.6rem;
--spacing-12: 1.2rem;
--spacing-8: 0.8rem;
}

*,
*::before,
*::after{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    font-family: var(--base-font);
    font-size: 62.5%;
    color: var(--dark-solid);
}

a {
    text-decoration: none;
    font-family: Georgia;
    color: var(--dark-bg-solid);
    background-color: rgb(208, 240, 161);
    font-size: 35%;
    padding: 3px 3px;
}

header {
    background-color: transparent;
    color:#fff;
    position: fixed;
    height: 60px;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 9999;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 60px;
    padding: 0px 30px;
}

.nav-links {
    display: flex;
    gap: 30px;
    list-style: none;
}

footer {
    font-family: rgb(49, 45, 45);
    color: lightcyan;    
}

li {
    list-style-type: none;
    background-color: rgb(117, 161, 117);
    color: rgb(25, 29, 19);
    flex-grow: 7;
}

.card-item__content {
    order: 1;
    flex-grow: 3;
}

p {
    font-size: 1.8em;
}

img {
    width: 100%;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
}

/* Header .etiqueta padre del contenido*/

header {
    background-color: rgb(61, 57, 57);
    font-size: 10px;
    padding: 20px;   
}

.header .navbar__logo {
    align-items: right;  
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center; 
}

.navbar__card {
    max-width: 300px;
    background-color: rgb(26, 39, 6);
    color: black;
}

.navbar__menu {
    display: flex;
    align-items: center;
    gap: var(--spacing-12);
    font-size: 9px;
}

.navbar__link {
     font-size: var(--font-medium);
     padding: var(--spacing-8) var(--spacing-16);
     display: inline-block;
     transition: 0.3s ease-in-out;
     position: relative;
}

.navbar__link:hover {
    background-color: var(--primary-900);
}

.with-icon {
    display: flex;
    align-items: center;
    gap: var(--spacing-8);
}

.with-submenu:hover .submenu{
    display: block;
}

.submenu {
    display: none;
    width: 300px;
    position: absolute;
    background-color: var(--dark-bg-solid);
    z-index: 1;
}

.submenu__link {
    display: block;
    padding: var(--spacing-8) var(--spacing-12);
    transition: background .3s ease-in-out;
}

.submenu__link:hover {
    background-color: var(--primary-900);
}

main {
    font-size: 10px;
    gap: var(--dark-300);
    flex-direction: row-reverse;
    
}

.main-container {
    background-color: var(--light-bg-solid);
    padding: var(--spacing-12) var(--spacing-38);
    border-radius: 50px;
    font-weight: 300;
    transition: all .3s ease-in-out;
    
}

.containerGrid {
    background-color: rgb(219, 223, 212);
    border-radius: black;
    font-size: 10px;
}


.containerGrid div {
    font-size: 20px;
}

/* Hero */
.hero {
    /**/
    background-image: url(../img/icons/progra.jpg);
    padding: var(--spacing-128);
    background-position: top;
    background-size: cover;
    background-attachment: fixed;
    position: relative;
    border-radius: 9px rgb(182, 211, 138);
}

.hero::before {
    content: '';
    background-color: rgba(0,0,0, 0);
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    backdrop-filter: blur(2px) brightness(.9);
}

.hero__content {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-20);
    align-items: start;
    z-index: 1px;
    position: relative;
}

.hero__title {
    font-family: var(--alternative-font);
    font-size: var(--font-jumbo);
    width: 280px;
    height: 50px;    
}

.hero__text {
    font-family: var(--alternative-font);
    color: rgb(207, 195, 195);
    font-size: var(--font-medium);
}

.hero__link {
    display: inline-block;
    font-size: var(--font-medium);
    background-color: var(--light-bg-solid);
    padding: var(--spacing-12) var(--spacing-68);
    border-radius: 50px;
    font-weight: 500;
    transition: all .3s ease-in-out;
}

.hero__link:hover {
    background-color: var(--primary-900);
    color: var(--light-font-solid);
    flex-grow: 1;
}

/* Collections */
.collection {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items:normal;
    
}

.collection:nth-child(2) .collection__cover {
    order: -1;
}

.collection__content {
    display: flex;
    flex-direction: column;
    align-items:start;
    background-color: gray;
    grid-template-columns: 1fr 3fr;
    grid-template-rows: 15px 20px;
    text-align: center;
    font-size: var(--base-font);
}

.collection__title {
    font-family: var(--alternative-font);
    font-size: var(--font-medium);
    font-weight: 100;
    background-color: rgb(178, 226, 107);
    color: rgb(36, 30, 30);
    padding: 5%;
}

.collection__text {
    font-family: var(--alternative-font);
    font-weight: 100;

    
}

.collection__link {
    display: inline-block;
    font-size: var(--font-medium);
    background-color: var(--dark-bg-solid);
    color: var(--light-font-solid);
    padding: var(--spacing-16) var(--spacing-36);
    border-radius: 50px;
    font-weight: 500;
    transition: .3s ease-in-out;
}

.collection__link:hover {
    background-color: var(--primary-900);
}

/* Slider */
.slider {
   display: flex;
   flex-direction: column;
   margin: var(--spacing-68) auto;
   background-color: gray;
}

.slider__title {
    font-family: var(--alternative-font);
    font-size: var(--font-display);
    text-transform: uppercase;
    background-color: grey;
    color: #FFFFFF;
    border-radius: 2% rgb(87, 126, 87);
}

.slider__item glide__slide .card-item__img--front {
    font-size: 10px;
    width: 20px;
    height: 30px;
}

.slider__item glide__slide .card-item__img--back {
    font-size: 10px;
    width: 20px;
    height: 30px;
}

.slider__container__glide {
    font-size:  60px;

}

.iconify-icon {
    color: var(--dark-bg-solid);
    font-size: var(--font-small);
    font-weight: 700;
}
    
.card-item__cover {
    display: flex;
    position: relative;
}

.card-item__tag {
    font-size: var(--font-xsmall);
    text-transform: uppercase;
    background-color: rgb(136, 160, 101);
    color: white;
    padding: var(--spacing-12) var(--spacing-12);
    position: absolute;
    right: 0;

}

.card-item__cover img {
    animation: fade .7s;
}

.card-item__img--back {
    display: none;
}

.card-item__cover:hover .card-item__img--back {
   display: block;
   font-size: 5px;
}

.card-item__cover:hover .card-item__img--front {
    display: none;
    font-size: 5px;
}

.card-item__content {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-12);
    padding: var(--spacing-16);
}

.card-item__license {
    font-size: var(--font-xsmall);
    font-weight: 500;
}

.card-item__name {
    font-size: var(--font-medium);
    font-weight: 700;
}

.card-item__price {
    font-size: var(--font-small);
}

.card-time__promo {
    font-size: var(--font-xsmall);
    color: var(--secondary-solid);
    font-weight: 700;
}

/* Footer */

.footer {
    background-color: rgb(61, 57, 57);
    width: 100%;
    box-shadow: 0px 0px 0px 0px;
    z-index: 999px;
    padding: 90px;
    margin-top: 50px;
    text-align: center;
    
}

.footer__copy {
    margin-top: var(--spacing-20);
    text-align: center;
}

/* Animations*/

@keyframes fade {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.glide__arrow--left {
    left: 0;

}

.glide__arrow--right {
    right: 0;
}

.glide__arrow {
    position: absolute;
    display: block;
    top: 50%;
    z-index: 2;
    color: #ffffff;
    text-transform: uppercase;
    padding: 12px 12px;
    background-color: rgb(191, 214, 145);
    border: 5px;
    box-shadow: 0 0.25em 0.5em 0 rgb(182, 218, 188);
    text-shadow: 0 0.25em 0.5em 0 rgb(162, 229, 173);
    opacity: 1;
    cursor: pointer;
}

h1 {
    background-color: rgb(144, 163, 113);
    color: var(--light-bg-solid);
    text-align: center;
    text-transform: uppercase;
    padding: 15px 12px;

}

.span {
    background-color: aquamarine;
    color: #FFFFFF;
}

.containerGrid {
    display: grid;
    grid-template-columns: repeat(2, 60px)/ auto-flow 80px;
    grid-template-rows: 16px;
    width: 50vw;
    height: 50vh;
    justify-items: end;
    align-items: end;
    transition: 0.3s ease-in;
    gap: 1rem;
}

.containerGrid div {
    background-color: grey;
    border: 2px solid #100;
    width: 200px auto;
    height: 100px auto;
    text-size-adjust: var(--spacing-36);
    font-size: 20px;
    transition: 0.4s ease-out;
    
}

.containerGrid div:hover {
       cursor: pointer;
       background-color: rgb(140, 167, 100);
}

.box {
    border: none;
    padding: 0.4 rem;
    margin: 2rem;
    background-color: yellowgreen;
    color: #fff;
    transition: 2 ease-out;
    font-size: 20px;
}

.box:hover {
    cursor: pointer;
    background-color: white;
    border: 1px;
    color:#100;
}

.elemento1, .elemento2, .elemento3, .elemento4 {
    grid-column: 1/2;
    padding: var(--spacing-68) var(--spacing-58);
    border-radius: 100px;
    font-weight: 0;
    font-size: var(--font-jumbo); 
    color: white;
    background-color: black;
}

.elemento1 {
    padding: 10%;
    margin: 4%;
    background-image: url(/Python1/Episteme/public/img/icons/java.jpg);
    
}

.elemento2 {
    padding: 10%;
    margin: 4%;
    background-image: url(/Python1/Episteme/public/img/icons/javasvascript1.jpg);
    
    
}
.elemento3 {
    padding: 10%;
    margin: 4%;
    background-image: url(/Python1/Episteme/public/img/icons/python.jpg);
    
}

.elemento4 {
    padding: 10%;
    margin: 4%;
    background-image: url(/Python1/Episteme/public/img/icons/css1.jpg);
}

.area {
    background-color: rgb(182, 216, 182);
    color: gray;
}

.card-item__img--front {
    font-size: 5px;
    transition: 1 ease-in-out ;
}

.card-item__img--back {
    font-size: 5px;
}
/*formulario de registro*/
body {
    margin: 0;
    width: 80vw;
    height: 50vh;
    display:contents;
    place-items: center;
    overflow: hidden;
    background: grey;
}

#watch {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 165px;
    height: 188px;
    border: 3px solid black;
    color: black;
    background-color: black;
    border-radius: 20%;
    font-family: monospace;
    font-size: 1.9rem;
    box-shadow: 18px 25px 50px #000;
    background-image: url("/Python1/Episteme/public/img/icons/manzanaverde.jpg");
}

img {
    box-shadow: 8px 20px 30px #000;
}

.form-register {
    width: 400px;
    background: greenyellow;
    padding: 50px;
    margin: auto;
    margin-top: 100px;
    border-radius: 4px;
    font-family: "calibri";
    color: white;
    border-top-style: greenyellow ;
    box-shadow: 7px 13px 37px #000;
}

.form-register h4 {
    font-size: 32px;
    margin-bottom: 20px;
}

h4 {
    color: #000;
    background-color: greenyellow;
    font-size: 33px;
    margin-bottom: 12px;
}

.controls {
    width: 100%;
    color: white;
    background-color: black;
    padding: 10px;
    border-radius: 4px;
    margin-bottom: 16px;
    border: 1px solid greenyellow;
    font-family: "calibri";
    font-size: 16px;
}

.form-register p {
    height: 40px;
    text-align: center;
    font-size: 18px;
    line-height: 40px;
    
}

.form-register a {
    color: white;
    text-decoration: none;
}

.form-register a:hover {
    color: white;
    text-decoration: underline;
    font-size: 15px;

}

.form-register .botons {
    width: 100%;
    background: greenyellow;
    border: none;
    padding: 18px;
    color: white;
    margin: 16px  0;
    font-size: 19px;
}

p {
    font-size: 20px;
    border-radius: 8px;
}

a {
    font-size: 15px;
    border-radius: 25%;
}

/*Spacing*/

table {
    table-layout: fixed;
    width: 100%;
    border-collapse: collapse;
    border: 5px var(--dark-bg-solid);
}

th:nth-child(1) {
    width: 1000%;
}

th:nth-child(2) {
    width: 1000%;
}

th:nth-child(3) {
    width: 1000%;
}

td {
    color: black;
    margin: 12px;
    font-size: 15px;
}

th,
tr {
    padding: 90px;
    color: black;
    background-color: rgb(156, 175, 127);
}

thead td {
    background-color: rgb(195, 228, 145);
}

.service {
    background-image: url("/Python1/Episteme/public/img/icons/git1.jpg");
    text-shadow: 5px 5px 5px yellowgreen;
    font-size: 15px;
}

section h3 {
    background-color: white;
    width: 35%;
    height: 25px;
    margin: 5px;
    padding: 7px;
    align-items: center;
    text-decoration-color: rgb(102, 126, 67);
    
}

thead, table {
    border-radius: 3px black;
    background-color: greenyellow;
}

aside {
    width: 395px;
    height: 550px;
    margin-left: max(20%, 20px);

    }

aside h2 {
    color: black;
    background-color: gray; 
    font-size: 20px;
}

aside img {
    width: 375px;
    height: 310px;
}

form {
    max-width: 200px;
}

p * {
    display: block;
}

input.mail {
    width: 100%;
    border: 1px solid #333;
    margin: 0;

    font-family: inherit;
    font-size: 90%;
    box-sizing: border-box;
}

.input.invalid {
    border-color: #900;
    background-color: #fdd;

}

.input:focus.invalid {
    outline: none;
}

.error {
    width: 100%;
    padding: 0;
    font-size: 80%;
    color: white;
    background-color: #900;
    border-radius: 0 0 5px 5px;
    box-sizing: border-box;

}
.error-active {
    padding: 0.3em;
}

